package com.ruoyi.ehsNoticeMessageFile.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.ehsNoticeMessageFile.domain.EhsNoticeMessageFile;
import java.util.List;

/**
 * 通知公告附件Mapper接口
 *
 * @author ruoyi
 * @date 2023-12-07
 */
public interface EhsNoticeMessageFileMapper extends BaseMapper<EhsNoticeMessageFile> {
	/**
	 * 查询通知公告附件
	 *
	 * @param id 通知公告附件主键
	 * @return 通知公告附件
	 */
	public EhsNoticeMessageFile selectEhsNoticeMessageFileById(String id);

	/**
	 * 查询通知公告附件列表
	 *
	 * @param ehsNoticeMessageFile 通知公告附件
	 * @return 通知公告附件集合
	 */
	public List<EhsNoticeMessageFile> selectEhsNoticeMessageFileList(EhsNoticeMessageFile ehsNoticeMessageFile);
}
