package com.ruoyi.ehsNoticeMessageFile.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.ehsNoticeMessageFile.domain.EhsNoticeMessageFile;

/**
 * 通知公告附件Service接口
 *
 * @author ruoyi
 * @date 2023-12-07
 */
public interface IEhsNoticeMessageFileService extends IService<EhsNoticeMessageFile> {

	/**
	 * 查询通知公告附件
	 *
	 * @param id 通知公告附件主键
	 * @return 通知公告附件
	 */
	public EhsNoticeMessageFile selectEhsNoticeMessageFileById(String id);

	/**
	 * 查询通知公告附件列表
	 *
	 * @param ehsNoticeMessageFile 通知公告附件
	 * @return 通知公告附件集合
	 */
	public List<EhsNoticeMessageFile> selectEhsNoticeMessageFileList(EhsNoticeMessageFile ehsNoticeMessageFile);

}
