package com.ruoyi.materialClass.domain;

import java.util.List;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.Accessors;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 物资分类一级分类对象 material_class_master
 *
 * @author ruoyi
 * @date 2024-01-05
 */
@Data
@ToString
@NoArgsConstructor
@Accessors(chain = true)
@TableName("material_class_master")
public class MaterialClassMaster extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 分类编号 */
    @Excel(name = "分类编号")
    private String classMastId;

    /** 主键 */
    @TableId(type= IdType.AUTO)
    private Long id;

    /** 分类的大类 */
    @Excel(name = "分类的大类")
    private String classMastType;

    /** 分类名称 */
    @Excel(name = "分类名称")
    private String classNameMast;

    /** 物资分类-二级分类信息 */
    @TableField(exist = false)
    private List<MaterialClassSub> materialClassSubList;
}
